<TeXmacs|1.0.7.2>

<style|tmweb>

<\body>
  <doc-data|<doc-title|An excursion to the visual world of complex functions
  and dynamics>|<doc-author-data|<author-name|Zoltn Kovcs, Bolyai
  Institute, University of Szeged, Hungary>>>

  <section|General overview>

  However complex analysis seems to be an extremal discipline of teaching of
  mathematics, many areas of introductory education at university level are
  much easier to understand if the student has some overview of behavior of
  complex functions. Many problems to be solved in real variable are
  specializations of the complex case, including dynamic systems, numerical
  analysis and differential equations. The workshop will summarize the
  benefit of using complex numbers for these usual areas of mathematics
  education.

  Three different pieces of software will be shown applicable for the
  teacher's use: WebMathematics Interactive 2 (WMI2,
  <hlink|http://matek.hu|http://matek.hu>), Real-Time Zooming Math Engine
  (RTZME, <hlink|http://rtzme.sf.net|http://rtzme.sf.net>) and XaoS
  (<hlink|http://xaos.sf.net|http://xaos.sf.net>). Surprisingly enough, we
  will also use a regular spreadsheet editor for basic visualizations.

  <section|Technical overview of the workshop>

  This workshop is planned to an audience having personal computers (laptops)
  for each individual. The workshop consists of 3 separated parts:

  <\enumerate-numeric>
    <item>During the first part we will use WMI2. The participant only have
    to use a simple web browser (Google Chrome, Mozilla Firefox or Internet
    Explorer should work ``out of the box''). This first part will be closed
    showing the ``complex variable function graphs'' in WMI2 which can be
    extended to a real-time demonstration. This will be covered in the second
    part.

    <item>In the second part we need to have a Linux workstation to run
    RTZME.

    <\enumerate-alpha>
      <item>If you have Linux on your laptop running, and it is available to
      use Debian repositories (in other words, you have a Debian based
      distribution, e.g. Ubuntu), then you could add the
      ``<with|font-family|tt|deb http://matek.hu/linux
      <with|font-shape|slanted|linuxversioncodename> main>'' line to
      <with|font-series|bold|/etc/apt/sources.list> (for example, for
      <hlink|Ubuntu|http://www.ubuntu.com> Karmic Koala this line is
      ``<with|font-family|tt|deb http://matek.hu/linux karmic main>''). Then
      run ``<with|font-family|tt|apt-get update; apt-get install rtzme>''
      from command line. The ``<with|font-family|tt|rtzme>'' executable is
      the appropriate software you need now (it is also available from
      command line).

      <item>If you don't have Linux on your laptop, or it is incompatible
      with Debian repositories, please take an <with|font-series|bold|Xubuntu
      or Ubuntu Live CD from the lecturer with a 1 page description> on what
      to do. Don't worry <emdash> no software will be installed on your
      laptop, only the memory will be used for the time of the workshop
      presentation. The Xubuntu CD is faster, but gives less user experience
      features than Ubuntu. If you have an older laptop, please ask an
      Xubuntu from the lecturer. If you have a fast, new model, you can use
      Ubuntu as well.
    </enumerate-alpha>

    <item>In the third part we need an arbitrary type of workstation to run
    XaoS, and, in addition, we also need a spreadsheet program. To run XaoS,
    do the following:

    <\enumerate-alpha>
      <item>If you have Linux on your laptop running, and you were able it
      during the second part without any problems, you should install the
      ``xaos'' package as you usually do.

      <item>If you restarted your laptop and tried the Xubuntu (or Ubuntu)
      Live CD during the second part, you should install the ``xaos'' package
      by pressing ALT-F2 and typing ``sudo apt-get install xaos''.

      <item>If you rebooted your laptop since the second part and you are now
      using Windows (or Mac), the please visit
      <hlink|http://matek.hu/xd|http://matek.hu/xd> to download the installer
      executable for XaoS which fits to your current operating system.
    </enumerate-alpha>

    You can use your favourite spreadsheet program, but the lecturer will
    show everything in OpenOffice Calc (or Gnumeric, depending on the
    participants). So, if you are in a doubt, just use OpenOffice, too.
  </enumerate-numeric>

  <section|The workshop>

  <subsection|Complex numbers everywhere>

  Expressions and their factorization is a normal problem in secondary
  school. Many tricks are to be learned to have usual skills to transform
  <math|a<rsup|2>+2 a b+b<rsup|2>> to <math|(a+b)<rsup|2>>. But what to do
  with <math|a<rsup|2>+b<rsup|2>>? An easy question! The answer is:
  <math|(a+b i)(a-b i)>, and, unfortunately, there is no easier answer.

  Invoking WMI2, we do not get this ``complex'' answer: <hlink|``factors of
  a^2+b^2''|http://wmi.math.u-szeged.hu/wmi2/webroot/?input=a^2+b^2&button=factor>
  give nothing special. (You may also have a look at the web URL.) The usual
  computer algebra systems give the possibility to define the domain of the
  symbolic calculation, but here it is not allowed. (Exercise: do the
  factorization in your favourite CAS. Solution for Maxima, WMI2's backend is
  <with|font-family|tt|factor(a^2+b^2,i^2+1)>.) Is this a good result from
  the teacher's point of view? Probably yes, in secondary school. Probably
  no, at university level. (<math|\<rightarrow\>>WMI 2.2)

  Of course, such a problem can be written to an essentially same question:
  to find the roots of <math|x<rsup|2>+1=0>. <hlink|WMI2's
  solution|http://wmi.math.u-szeged.hu/wmi2/webroot/?input=x^2+1=0&button=solve2>
  does not give any result, but here you can fine tune the calculation
  <hlink|with a different button|http://wmi.math.u-szeged.hu/wmi2/webroot/?input=x^2+1=0&button=solve>.
  These buttons are installed in different layouts in WMI2 to prevent young
  students from catching bogus output.

  Solving third order polynomials are also a kind of bitter. Adding
  <math|x<rsup|3>> to the above equation, we gain a terrible result for most
  human being (try both buttons on your own!). A good example of modern
  handling of this general problem is Wolfram's approach in
  <hlink|Wolfram\|Alpha|http://www.wolframalpha.com/input/?i=x^3%2Bx^2%2B1>.
  This also shows the graph of the function in real variable, the roots
  symbolically and numerically, and also visualizes the roots in the complex
  plane. Luckily, WMI2 has a built-in function to make even more
  visualization of complex roots. To see that, <hlink|try
  this|http://wmi.math.u-szeged.hu/wmi2/webroot/?layout=calculus&input=x^3+x^2+1&button=cplot>.
  To understand the graph, we need to learn about <hlink|domain
  coloring|http://en.wikipedia.org/wiki/Domain_coloring> (see <hlink|this
  page|http://en.wikipedia.org/wiki/Color_wheel_graphs_of_complex_functions>
  for another explanation). (<math|\<rightarrow\>>Merge the articles + add
  link to WMI2.)

  Now let's do some experiments. Try the complex color wheel graph of the
  following functions:

  <\itemize>
    <item><math|z>, <math|z<rsup|2>>, <math|z<rsup|3>>, <math|z<rsup|6>>,

    <item><math|1/z>, <math|1/z<rsup|2>>, <math|1/z<rsup|6>>,

    <item><math|z(z+3)(z+>5), <math|(z-i)(z+i)/((z-1)(z+1))>,
    <math|(z-i)(z-1)/((z+i)(z+1))>.
  </itemize>

  It's worthy to zoom in and out and try to switch the grid on and off.

  Before continuing experiments in the second part, some more ``easy''
  examples which lead to complex arithmetics:

  <\enumerate>
    <item>(Continuing the introductory example.) Factorization of higher
    order polynomials in real variable. It is very helpful to know the
    factorization over the field of complex numbers. As the final step,
    pairing the complex conjugate roots lead to the factorization over the
    field of real numbers.

    <item>General solution of arbitrary polynomial (or non-polynomial)
    equation. Elementary calculus exercises can rely on stable methods for
    equation solving. Zeroes, extremas, convexity questions all lead to
    equations which ``sometimes'' cannot be solved symbolically.

    <item>Eigenvalues. Basic application of linear algebra methods can
    already lead to <math|2\<times\>2>, <math|3\<times\>3> (and larger)
    matrix eigenvalue problems which can make undergraduate feel miserable on
    having complex roots on calculation. Hint: if symbolic calculation gives
    bogus output, search for graphical solutions first.
  </enumerate>

  <subsection|Understanding by exploring>

  In this second part we will use RTZME. Our aim is to

  <\itemize>
    <item>enjoy the beauty of complex graphs in their colorfullness,

    <item>visualize zeroes and poles,

    <item>study periodicity of trigonometric and exponential functions,

    <item>study branches and branch cuts in logarithmic functions,

    <item>understand function behavior at essential singularities,

    <item>get disappointed on graphing <math|Re z-i Im z>,

    <item>prepare for the third part by the example iteration
    <math|z<rsub|n+1>\<assign\>(z<rsub|n>)<rsup|2>+z<rsub|0>>.
  </itemize>

  <subsection|Granny and the Mandelbrot Set>

  You don't need extraordinary tools to visualize basic chaotic behavior on
  the real line. All you need is a spreadsheet software and 2 minutes:

  <\enumerate-numeric>
    <item>Enter ``1'' into cell A1.

    <item>Enter ``=A1^2+A$1'' into A2.

    <item>``Pull down'' A2.

    <item>Create a graph.
  </enumerate-numeric>

  Now you can illustrate all of the following:

  <\itemize-dot>
    <item>divergence,

    <item>convergence (change A1 to be <math|\<in\>[0,0.25]> or even below
    this interval),

    <item>periodicity (A1:=<math|-1>),

    <item>accumulation points (A1:=<math|-1.25>),

    <item>chaos (A1<math|\<approx\>-1,4>).
  </itemize-dot>

  To see more, you need a fractal explorer software. Now we will try XaoS,
  written by <hlink|Jan Hubicka|http://www.ucw.cz/~hubicka/> (and other
  contributors).

  Try the following:

  <\enumerate-numeric>
    <item>The <hlink|Mandelbrot fractals|http://en.wikipedia.org/wiki/Mandelbrot_set>
    (keys 1--5).

    <item>Go to Fractal<math|\<rightarrow\>>User formula and enter
    ``<with|font-family|tt|z^2+c>'', ``<with|font-family|tt|z^1.5+c>'',
    ``<with|font-family|tt|z^2+i+c>''.

    <item><hlink|Newton's formula|http://en.wikipedia.org/wiki/Newton's_method>
    (keys 6--7).
  </enumerate-numeric>
</body>

<\initial>
  <\collection>
    <associate|language|hungarian>
  </collection>
</initial>